<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
////include ("include/images.class.php");
include ("include/images/images_mod.class.php");

class evento extends elemento{
	
	private $periodicidade = array(1=>"Semanal",2=>"Quinzenal ",3=>"Mensal",4=>"Trimestral",5=>"Anual");
	
	function evento() { }
      
    function campoDuracao($duracao, $tipoDuracao){
      ?>
		<p><label for="duracao">Duração</label>
		   <input type="text" name="duracao"  value="<?=$duracao ?>">
			<select name="tipoDuracao">
				<option value="" selected>Escolha...</option>
				<option value="horas" <? if($tipoDuracao=="horas") echo 'selected';?> >Horas</option>
				<option value="dias" <? if($tipoDuracao=="dias") echo 'selected';?> >Dias</option>
			</select>
		</p>
      <?
    }
    
	function guardar($id=0){		
		$trata = new images_mod($this->req);
		$this->req['imagem'] = $trata->trataimagem('imagem', "../netimages/evento");
		$this->req['permatitulo']=generate_seo_titulo($this->req['titulo']);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		parent::guardar($id);	
	}
	
	
	function editar($id=""){

        $db= new dbElemento;
        $linha=@$db->getLinha($this->tipo, $id);
		$f= new form($id, $linha, $this->req);

		$f->toolbars();
		$f->titulo("",1);
		
		$f->campoTexto("Título","titulo", "required");
		$f->campoHTML("Descrição", "descricao", "required");
		$f->campoImagem2("Imagem", "imagem",280,220);
		$f->campoTexto("Local","local", "required");
		$f->campoTexto("Morada","morada", "required");
		$f->campoTexto("Localidade","localidade", "required");
		$f->campoCp("Código postal","cp1", 2);
		$f->campoData2("Data inicio","data_inicio", "required");
		$f->campoTexto("Hora inicio (HH:mm)","hora_inicio");
		$f->campoData2("Data fim","data_fim", "required");
		$f->campoTexto("Hora fim (HH:mm)","hora_fim");
		$this->campoDuracao($linha['duracao'], $linha['tipoDuracao']);
		$f->campoSimNao("Recursivo","recursivo", $linha['recursivo']);
		
		$f->campoSeleccao("Periodicidade", "periodicidade",$this->periodicidade, $linha['periodicidade']);

				
		$sys_data = ($linha['sys_data'] != "0000-00-00") ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = ($linha['sys_hora'] != " 00:00:00") ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);
		
		$f->campoValor("Ordem", $linha["ordem"]);
		$f->mostra();
	}
	
	function listar(){
        
        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Data inicio"=>"data_inicio", "Data fim"=>"data_fim");
        $db= new dbElemento;
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
        	
        $f= new lista($campos, $dados, $this->req);
		$f->toolbars();
		$f->titulo();

		$f->cabecaSimples();		
        $f->tabela(true);
		$f->mostra();
	}

}
?>
